Skip to main content
PUT
/
v1
/
contacts
/
{id}
Update contact
curl --request PUT \
  --url https://api.timelyai.com.br/v1/contacts/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "customer_name": "<string>",
  "customer_email": "jsmith@example.com",
  "customer_phone": "<string>",
  "status": "active",
  "tags": [
    "<string>"
  ],
  "custom_fields": {}
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customer_name": "<string>",
    "customer_email": "jsmith@example.com",
    "customer_phone": "<string>",
    "status": "active",
    "tags": [
      "<string>"
    ],
    "custom_fields": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

API key obtained from the dashboard

Path Parameters

id
string<uuid>
required

Contact ID

Body

application/json
customer_name
string
Required string length: 1 - 200
customer_email
string<email>
customer_phone
string
status
enum<string>
Available options:
active,
inactive,
blocked
tags
string[]
custom_fields
object

Response

Contact updated

data
object